Name: phun
Version: 5.28
Release: alt2

Summary: A fun 2D physics playground
License: Free for non-commercial use
Group: Games/Educational

Url: http://www.acc.umu.se/~emilk/
Source: Phun_beta_5_28_linux32.tgz
Source1: %name.desktop
#Packager: Michael Shigorin <mike@altlinux.org>
Packager: YYY

# there's a binary for 64-bit Linux as well but...
ExclusiveArch: %ix86

# Automatically added by buildreq on Wed Feb 27 2008
BuildRequires: chrpath

# builds on 4.0/branch without this, bails out on sisyphus
%set_verify_elf_method none

# had to add by hand from a package built on branch
Requires: libGL.so.1 libGLEW.so.1.3 libGLU.so.1 libSDL-1.2.so.0 libSDL_image-1.2.so.0


%description
Phun is meant to be a playground where people can be creative.
It can also be used as an educational tool to learn about physics
concepts such as restitution and friction.

%prep
%setup -n Phun

%build

%install
mkdir  %buildroot
mkdir  %buildroot/usr/
mkdir  %buildroot/usr/lib
mkdir  %buildroot/usr/lib/Phun
cp -R ./ %buildroot/usr/lib/Phun
install -pD -m644 %SOURCE1 %buildroot%_desktopdir/%name.desktop

%post

%postun

%files
%_desktopdir/*
/usr/lib/*
%doc *.txt

%changelog
* Wed Feb 27 2008 Michael Shigorin <mike@altlinux.org> 3.12-alt1
- initial package
  + had to disable check for unresolved symbols for Sisyphus
- see these links for additional info (also on distribution):
  http://www.acc.umu.se/~emilk/about.html
  http://www.acc.umu.se/~emilk/faq.html

